Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/grants/{grant_id}/settings/{setting_name}

Get a grant setting

Returns one setting for the grant, in the same shape as Get grant settings. If the setting isn't set, its value is null.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

ID of the grant to access.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
setting_name*string

The setting name. Request and response bodies use the same name as the JSON key.

synced-calendars

Responses

request_idstring

The request ID.

dataobject

The grant's public settings. Each key is the setting name, the same as in the path. A setting that isn't set is null.

GEThttps://api.us.nylas.com/v3/grants/5967ca40-a2d8-4ee0-a0e0-6f18ace39a90/settings/{setting_name}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access.

setting_namerequiredstring

The setting name. Request and response bodies use the same name as the JSON key.